Wat deze pagina bevat
Elke categorie is een volledige OpenPGP-identiteit gegenereerd door de sleutelgenerator van CH-J Tools: sleutels van versie 6 (RFC 9580) met klassieke en postkwantumalgoritmen (RFC 9980), LibrePGP-sleutels van versie 5, sleutels van versie 4 voor compatibiliteit met inbegrip van verouderde RSA-sleutelgroottes, en historische RSA-sleutels van versie 3 en versie 2 die uitsluitend om historische redenen bewaard blijven. Sleutels vanaf versie 4 hebben een primaire ondertekeningssleutel en één encryptiesubsleutel; sleutels van versie 3 en 2 hebben geen subsleutels. Gebruik de bestanden om importeren, handtekeningverificatie, versleuteling en het verwerken van intrekkingen in uw eigen OpenPGP-software te testen.
Uitsluitend testsleutels
Deze sleutels zijn synthetisch. Hun privésleutels en de wachtzin zijn met opzet gepubliceerd, zodat iedereen ermee kan ondertekenen of ontsleutelen. Gebruik ze nooit voor echte gegevens en beschouw een handtekening nooit als betrouwbaar alleen omdat deze met een van deze sleutels kan worden geverifieerd.
Waarom sommige programma’s bepaalde sleutels weigeren
De ondersteuning voor OpenPGP-versies en algoritmen verschilt. GnuPG 2.4 leest sleutels van versie 4 en 5, maar geen versie 6 of de postkwantumalgoritmen uit RFC 9980; Sequoia leest versie 4 en 6, maar geen LibrePGP-versie 5, secp256k1 of RSA onder 2048 bits. Sleutels van versie 3 en 2 gebruiken MD5 en IDEA en worden alleen gelezen door GnuPG 1.4 wanneer zwakke hashfuncties zijn toegestaan, of door historisch PGP. Elke categorie vermeldt de specificatie en algoritmen, dus een geweigerde sleutel wijst meestal op ontbrekende functionaliteit in plaats van een beschadigd bestand.
Testbestand
Alle 44 handtekeningen hebben betrekking op dit ene bestand met 1 MB willekeurige gegevens. Download het eenmaal en vergelijk de SHA-256 controlesom voordat u een handtekening verifieert.
Downloaden test_1MB.bin 1 048 576 bytes
SHA-256 10055956fa0fdd963344a0d80a3b9ccf3ed1d331569a23d8223bbf2e460ae972 test_1MB.binCategorieën
Versie 6 · postkwantum (RFC 9580 + RFC 9980)
- Voorbeeld 01 · V6 · ML-DSA-65 + Ed25519 + ML-KEM-768 + X25519
6D1542425AAE85E73F4E822AB59161D7683F784AA9E6EA0989D4A2F3990784A9 - Voorbeeld 02 · V6 · ML-DSA-65 + Ed25519 + ML-KEM-1024 + X448
8EBE172E2DFBFE865998720DE87F5B89DCB159C0A7633408BD499430E978CF64 - Voorbeeld 03 · V6 · ML-DSA-65 + Ed25519 + X25519
B897D5581D30EFA173DF41864B89D9CDFE42E0CC5CE691062CAAB976AF6CE14F - Voorbeeld 04 · V6 · ML-DSA-87 + Ed448 + ML-KEM-768 + X25519
AB7B7503F25E03291AB966E54FE19B7CB7D308D2C72B3A552FBB0AA2F4ED6E71 - Voorbeeld 05 · V6 · ML-DSA-87 + Ed448 + ML-KEM-1024 + X448
D0E8F3DD2171441CB0DFA79B345D7B233675AEE24D51EC915FD1AC80D2B422B2 - Voorbeeld 06 · V6 · ML-DSA-87 + Ed448 + X25519
1CEDB14AECBF0B9C692EFD61EF9F659E45F33BC32F7BC12499695E5981EE1085 - Voorbeeld 07 · V6 · SLH-DSA-SHAKE-128s + ML-KEM-768 + X25519
87967E66DEE644D4A10BC605532FDAB16D5AEDD154914B4D0D527C7502AD25A4 - Voorbeeld 08 · V6 · SLH-DSA-SHAKE-128s + ML-KEM-1024 + X448
C6EADE9B56677421B1A82D2502FFECB4FDCA6A9E2D3679230877E32B28765367 - Voorbeeld 09 · V6 · SLH-DSA-SHAKE-128s + X25519
7B69578CBDA586EF7DCC97A7AFCF74D3F1424515E95D8BB9362890E11B43125F - Voorbeeld 10 · V6 · SLH-DSA-SHAKE-128f + ML-KEM-768 + X25519
D6762F3EA60F9ECADC1D6BEC3E804AAEAC769E631D2643C282210442390D4A8D - Voorbeeld 11 · V6 · SLH-DSA-SHAKE-128f + ML-KEM-1024 + X448
E9736EAB77C018F653C4A3C355DD7681EE106E9C4286ACBB4A5A5C10D3BFEDAD - Voorbeeld 12 · V6 · SLH-DSA-SHAKE-128f + X25519
65E7062F811B6F5E855ECCE02995F5EDF059D4DE606069643F43CBA218E6B30C - Voorbeeld 13 · V6 · SLH-DSA-SHAKE-256s + ML-KEM-768 + X25519
11364C88A86FB2AB86F0907C9A6C7159743D50FB9A498C3590A2990146AE774F - Voorbeeld 14 · V6 · SLH-DSA-SHAKE-256s + ML-KEM-1024 + X448
67AE7DFC14C745CC69D32A4A85AB4CAB581AC4B91D75A0B011BE0F35C0DC2B0B - Voorbeeld 15 · V6 · SLH-DSA-SHAKE-256s + X25519
1EDBEC92CE9F79486AFA2AC5DE524AF2FE0F6197DC74753D1FDB3C0F1F434DDE - Voorbeeld 17 · V6 · Ed25519 + ML-KEM-768 + X25519
F3120E488D7CC03B254DA78B22C1976B6EFB1F7DBD250DB06D70E04D944916A5 - Voorbeeld 35 · V6 · Ed448 + ML-KEM-1024 + X448
87843F5A4D90C63017687E108CFF638F61AF0858B4206BEC4C91B39D68F5B120
Versie 6 · klassieke algoritmen (RFC 9580)
- Voorbeeld 16 · V6 · Ed25519 + X25519
A21B6349C6B29A02A3E83BF225A7F376F4613A1A50BF78E8998F53F23E8A53D0 - Voorbeeld 18 · V6 · RSA 4096 + RSA 4096
F5B7FC86AEDC448F5F7FCA1FA1E4FE614A6CD148CA20DC271994BFED8E4271F7 - Voorbeeld 31 · V6 · ECDSA NIST P-256 + ECDH NIST P-256
5C1B4D9DBDE53BFF511739248E4600B0C66DE6E7C9F2ED049B357D001F208E00 - Voorbeeld 32 · V6 · ECDSA NIST P-384 + ECDH NIST P-384
A5E87386A630437C1D5A0AD51CF0CA49D961FCDA2CDE21EB8421DB2CDB9176DD - Voorbeeld 33 · V6 · ECDSA NIST P-521 + ECDH NIST P-521
927BE37F241D171D3D64875E657D20E168752343EEA3327EC2520690A6A54B1C - Voorbeeld 34 · V6 · Ed448 + X448
50F23A0FE2C7705D8053185A9988170828B5E4BC8FFE8ADA58402CD7D8362FAE - Voorbeeld 38 · V6 · RSA 1024 + RSA 1024 (legacy)
9FF1150D56BD743C40D736E3FE6394FBA500847C6D9CB5C38CA2E3BFEF2568E3 - Voorbeeld 39 · V6 · RSA 2048 + RSA 2048 (legacy)
3906AC13BBD5B8A132E5C6641DE0E91470385FD51AF9570013EF412164FDB5AB
Versie 5 · LibrePGP (draft-koch-librepgp-06)
- Voorbeeld 26 · V5 · ECDSA NIST P-256 + ECDH NIST P-256
26D25AD540E879D954BCCE24222A10AB844C3C53A49B5C673CA25308D40422DB - Voorbeeld 27 · V5 · ECDSA NIST P-384 + ECDH NIST P-384
E32A39BF238730F434A689232520B98BB97E306D22F14396A19D829E9FEA9952 - Voorbeeld 28 · V5 · ECDSA NIST P-521 + ECDH NIST P-521
91AE0AD012D645835A9FC1F0677A069002561DE910673D3EFC707B568F0D11BC - Voorbeeld 29 · V5 · ECDSA secp256k1 + ECDH NIST P-256
0530EB20EA9EB87DE933D00F2414ADE2B910C90666AC2CB86B896BD7F1440639 - Voorbeeld 30 · V5 · RSA 2048 + RSA 2048 (legacy)
ADCBBE510FB67FF11ACDE0868747AF7FC2E41D95B34EE785E108217B062BAA15 - Voorbeeld 37 · V5 · RSA 1024 + RSA 1024 (legacy)
0B624E1A4B147D973D59AFFFAE7584C6E7D4123272FAA49ED2E276C125DD779B
Versie 4 · compatibiliteit (RFC 2440 · RFC 4880 · RFC 9580)
- Voorbeeld 19 · V4 · EdDSALegacy (Ed25519) + ML-KEM-768 + X25519
AC584FBB4E4BFB3F3117517C19FEE3A61E33390F - Voorbeeld 20 · V4 · EdDSALegacy (Ed25519) + ECDH Curve25519Legacy
3B0E8B81143420937B4271BE2736B97A8A635CE3 - Voorbeeld 21 · V4 · ECDSA NIST P-256 + ECDH NIST P-256
9035B23C46C6563DF82B9E4AFD8B9262EA769B30 - Voorbeeld 22 · V4 · ECDSA NIST P-384 + ECDH NIST P-384
BA4E573B5A95992A08B884B8AB586F5CAA5B7A91 - Voorbeeld 23 · V4 · ECDSA NIST P-521 + ECDH NIST P-521
388CB0449DA27910B500892F28877C8D10C07DAD - Voorbeeld 24 · V4 · ECDSA secp256k1 + ECDH NIST P-256
E060726BC7DBB56FDF7753749EF00F97D46EF942 - Voorbeeld 25 · V4 · RSA 2048 + RSA 2048 (legacy)
BFA8F784CFEE268FEF49639E2D5D64A3BCFDDC23 - Voorbeeld 36 · V4 · RSA 1024 + RSA 1024 (legacy)
B75872FDF13E32C2535597D6CF6C25ABA3D18793 - Voorbeeld 40 · V4 · Ed448 + X448
7AF21F1EE4385D42FE2ED44CDF867036C59D7117
Versie 3 · legacy (RFC 1991 · RFC 2440 · RFC 4880)
- Voorbeeld 41 · V3 · RSA 1024 (legacy)
8C82CFA8E8957EA451848A6948E37C72 - Voorbeeld 42 · V3 · RSA 2048 (legacy)
EA8BD9DA685265394EC511D107B09C8A
Versie 2 · legacy (RFC 1991 · RFC 2440)
- Voorbeeld 43 · V2 · RSA 1024 (legacy)
6BC0D98BBD116770A8490E45FD1AC24C - Voorbeeld 44 · V2 · RSA 2048 (legacy)
55AC229DCC134C267809F0D9D6FCE76F